Skip to main content
GET
/
v1
/
users
/
{user_id}
/
fiat
/
accounts
Get user's fiat accounts
curl --request GET \
  --url https://api.privy.io/v1/users/{user_id}/fiat/accounts \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'privy-app-id: <privy-app-id>'
{
  "accounts": [
    {
      "id": "a068d2dd-743a-4011-9b62-8ad33cc7a7be",
      "bank_name": "Chase",
      "currency": "usd",
      "account_type": "us",
      "last_4": "7899"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.privy.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Path Parameters

user_id
string
required

The ID of the user to get fiat accounts for

Query Parameters

provider
enum<string>
required

Valid set of onramp providers

Available options:
bridge,
bridge-sandbox
Example:

"bridge"

Response

200 - application/json

List of fiat accounts

accounts
object[]
required